#ifndef HIDAKA2009_H
#define HIDAKA2009_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct hidaka2009Info {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
} hidaka2009Info;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(hidaka2009Info* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(hidaka2009Info* info);
extern void init1(hidaka2009Info* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* HIDAKA2009_H */
